Authorization
Descope Project ID:Refresh JWT Project ID:Refresh JWT as bearer token.
In: header
Request Body
application/json
Generate recovery codes for a user
curl -X POST "https://api.descope.com/v1/auth/recovery-codes" \ -H "Content-Type: application/json" \ -d '{}'{ "codes": [ { "code": "string" } ]}export interface Response {codes?: RecoveryCode[]}export interface RecoveryCode {code?: string}Reset Password POST
### Sent a password reset email to an existing user utilizing the password API. ### Next Steps You will then need to verify the user after the password reset is sent via email, this would need to be done via [Verify Magic Link](/api/magic-link/verification/verify-token). ### See Also - See [The User Object](/api/overview#the-user-object) for further details on how to identify users and their contact information such as email addresses and phone number. - You can also utilize [Update Password](/api/passwords/update-password) or [Replace Password](/api/passwords/replace-password) as alternatives to change a user's password.
Sign in a user using a recovery code POST
Sign in a user using a recovery code